MKFS.FAT(8)

NOM
mkfs.fat - Créer un système de fichiers MS-DOS sous Linux

SYNOPSIS
mkfs.fat [options] périphérique [nombre_de_blocs]

DESCRIPTION
mkfs.fat est utilisé pour créer un système de fichiers MS-DOS sous Linux sur un périphérique (habituellement une partition d'un disque). périphérique est le fichier spécial correspondant au périphérique (par exemple /dev/sdXX). nombre_de_blocs est le nombre de blocs sur le périphérique. S'il n'est pas présent, mkfs.fat détermine automatiquement la taille du système de fichiers.

OPTIONS

-a  Normalement, pour tous les systèmes de fichiers à l'exception des très petits, mkfs.fat alignera toutes les structures de données avec la taille des blocs pour s'assurer que tant que la partition est alignée correctement, les structures de données du système de fichiers le seront aussi. Cette option désactive l'alignement ; cela peut fournir une poignée de blocs supplémentaires pour le stockage au prix d'une dégradation significative des performances pour les disques RAID, pour mémoire flash ou pour les disques durs avec de gros secteurs.

-A  Utilise la variation Atari du système de fichiers MS-DOS. C'est le comportement par défaut si mkfs.fat est utilisé sur un Atari et, dans ce cas, cette option désactive le format Atari. Quelques différences existent quand le format Atari est utilisé : si l'utilisateur ne change pas la valeur, mkfs.fat utilisera toujours 2 secteurs par bloc, du fait que GEMDOS n'aime pas trop les autres valeurs. Il aura également le nombre maximal de blocs que GEMDOS peut gérer. Les systèmes de fichiers plus gros sont gérés en augmentant la taille du secteur logique. Sous le format Atari, un numéro de série compatible Atari est généré, et une FAT (table d'allocation des fichiers) de 12 bits est utilisée uniquement pour les systèmes de fichiers qui ont la taille d'une disquette habituelle (720 ko, 1,2 Mo, 1,44 Mo, 2,88 Mo), sinon, ce sera une FAT de 16 bits. Cela peut être modifié avec l'option -F. Quelques champs du secteur de démarrage spécifique aux PC ne sont pas écrits, et le message de démarrage (option -m) est ignoré.

-b secteur_de_sauvegarde
    Indiquer l'emplacement de la sauvegarde du secteur d'amorçage pour les systèmes de fichiers FAT32. La valeur par défaut dépend du nombre de secteurs réservés, mais il s'agit d'habitude du secteur 6. Le secteur de sauvegarde doit être compris dans l'intervalle des secteurs réservés.

-c  Chercher les blocs défectueux sur le périphérique avant de créer le système de fichiers.

-C  Créer le fichier périphérique indiqué sur la ligne de commande, et écrire le système de fichiers dans ce fichier. Cela peut être utilisé pour créer le nouveau système de fichiers dans un fichier au lieu d'utiliser un vrai périphérique, et évite l'utilisation de dd pour créer un fichier de la taille appropriée. Avec cette option, le nombre_de_blocs doit être fourni, car sinon la taille désirée du système de fichiers est inconnue. Le fichier créé est un fichier creux ; seules les métadonnées sont présentes (le secteur d’amorçage, les FAT et le répertoire racine). Les portions de données ne sont pas stockées sur le disque, mais le fichier aura toujours la bonne taille. Le fichier généré peut être copié ultérieurement sur une disquette ou un autre périphérique ou monté via un périphérique de boucle.

-D numéro_disque
    Indiquer le numéro du disque BIOS à stocker dans le secteur d’amorçage FAT. Cette valeur est normalement 0x80 pour les disques durs et 0x00 pour les périphériques de type disquette ou les partitions à utiliser en émulation de disquette.

-f nombre_de_FAT
    Indiquer le nombre de tables d'allocation des fichiers dans le système de fichiers. La valeur par défaut est 2.

-F taille_FAT
    Indiquer le type des tables d'allocation des fichiers utilisés (12, 16 ou 32 bits). Si rien n'est indiqué, mkfs.fat sélectionne automatiquement entre 12, 16 et 32 bits, selon ce qui convient le mieux au système de fichiers.

-h nombre_de_secteurs_cachés
    Indiquer le nombre de secteurs cachés sur le volume. Apparemment, certaine caméra numériques n'acceptent pas les carte CF sans ces secteurs cachés. Cette option permet de les prendre en charge.

-i id_volume
    Définir l'identifiant de volume du nouveau système de fichiers. id_volume est un nombre de 32 bits, noté en hexadécimal (par exemple, 2e24ec85). La valeur par défaut est un nombre qui dépend de la date de création du système de fichiers.

-I  Les périphériques de disques sont généralement partitionnés, vous n'êtes donc pas autorisé, par défaut, à créer un système de fichier sur un périphérique disque dans son ensemble. mkfs.fat(8) va se plaindre et signaler qu'il refuse de fonctionner. C'est différent lorsque des disques magnéto-optiques (« MO ») sont utilisés. Les partitions ne sont pas nécessaires sur les disques magnéto-optiques. Le système de fichiers peut être placé sur le disque entier. Sous d'autres systèmes d'exploitation, ce format est souvent appelé « superfloppy » (super-disquette). Cette option forcera mkfs.fat à fonctionner correctement.

-l fichier
    Lire la liste des blocs défectueux dans fichier.

-m fichier_message
    Définir le message que l'utilisateur reçoit quand il essaye d'utiliser ce système de fichier pour lancer la machine sans avoir correctement installé un système d'exploitation. Le fichier contenant le message ne doit pas dépasser 418 octets une fois les passages à la ligne convertis en retour chariot-passage à la ligne [NDT : de LF à CRLF], et que les tabulations soient étendues à 8 caractères. Si le nom de fichier est un tiret, le texte provenant de l'entrée standard est utilisé.

-M type_support_FAT
    Indiquer le type de support à stocker dans le secteur d’amorçage FAT. Cette valeur est normalement 0xF8 pour les disques durs et 0xF0 ou une valeur entre 0xF9 et 0xFF pour les disquettes ou les partitions à utiliser en émulation de disquette.

-n nom_de_volume
    Définir le nom de volume (ou l'étiquette) du système de fichiers. Le nom de volume peut contenir jusqu'à 11 caractères de long. Par défaut, aucun nom de volume n’est défini.

-r entrées_répertoire_racine
    Sélectionner le nombre d'entrées disponibles dans le répertoire racine. La valeur par défaut est de 112 ou 224 pour les disquettes et de 512 pour les disques durs.

-R nombre_de_secteurs_réservés
    Sélectionner le nombre de secteurs réservés. Avec le format FAT32, au moins deux secteurs sont nécessaires, la valeur par défaut étant de 32. Sinon, la valeur par défaut est de 1 (seulement le secteur d'amorçage).

-s secteurs_par_bloc
    Indiquer le nombre de secteurs par bloc sur le disque. Cette valeur doit être une puissance de deux, c'est-à-dire : 1, 2, 4, 8, ... 128.

-S taille_de_secteur_logique
    Indiquer le nombre d'octets par secteur logique. Cette valeur doit être une puissance de deux, supérieure ou égale à 512, c'est-à-dire : 512, 1024, 2048, 4096, 8192, 16384, ou 32768.

-v  Exécution en mode bavard.

--invariant
    Utiliser des constantes pour les données habituellement aléatoires ou basées sur la date comme l’identifiant de volume ou la date de création. Plusieurs exécutions de mkfs.fat sure le même périphérique créent des résultats identiques avec cette option. L’objectif principal est pour tester mkfs.fat.

--help
    Afficher les options et quitter.

BOGUES
mkfs.fat n'est pas en mesure de créer des systèmes de fichiers amorçables. Cela n'est pas aussi simple que cela en à l'air au premier coup d'œil pour des raisons diverses et a déjà été beaucoup débattu. mkfs.fat ne sera pas doté de cette fonctionnalité.

VOIR AUSSI
fatlabel(8)
fsck.fat(8)

PAGE D'ACCUEIL
La page d’accueil du projet dosfstools est sa page de projet GitHub (https://github.com/dosfstools/dosfstools).

AUTEURS
dosfstools a été écrit par Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de), et autres. Le mainteneur actuel est Andreas Bombe (aeb@debian.org).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.